com.trendmicro.ds.appcontrol.rest.object

## Class InventoryMetadataItem

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.InventoryMetadataItem

-     public class InventoryMetadataItem
      extends java.lang.Object

  Inventory metadata details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InventoryMetadataItem.State` The possible states of an inventory list.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InventoryMetadataItem()` Create an empty inventory metadata item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdminName()` Get the name of the administrator that initiated the inventory scan.
    `java.lang.String` | `getCompletedDate()` Get the date that the inventory scan was completed.
    `int` | `getHostID()` Get the host that the inventory scan was done on (or is being done on).
    `java.lang.String` | `getHostName()` Get the host name of the host that the inventory scan was done on (or is being done on).
    `java.lang.Long` | `getInventoryID()` Get the inventory ID.
    `java.lang.String` | `getStartDate()` Get the date that the inventory scan was started.
    `InventoryMetadataItem.State` | `getState()` Get the state of the inventory scan.
    `void` | `setAdminName(java.lang.String adminName)` Set the name of the administrator that initiated the inventory scan.
    `void` | `setCompletedDate(java.lang.String completedDate)` Set the date that the inventory scan was completed.
    `void` | `setHostID(int hostID)` Set the host that the inventory scan was done on (or is being done on).
    `void` | `setHostName(java.lang.String hostName)` Set the host name of the host that the inventory scan was done on (or is being done on).
    `void` | `setInventoryID(java.lang.Long inventoryID)` Set the inventory ID.
    `void` | `setStartDate(java.lang.String startDate)` Set the date that the inventory scan was started.
    `void` | `setState(InventoryMetadataItem.State state)` Set the state of the inventory scan.
    `InventoryMetadataItem` | `withAdminName(java.lang.String adminName)` Set the name of the administrator that initiated the inventory scan.
    `InventoryMetadataItem` | `withCompletedDate(java.lang.String completedDate)` Set the date that the inventory scan was completed.
    `InventoryMetadataItem` | `withHostID(int hostID)` Set the host that the inventory scan was done on (or is being done on).
    `InventoryMetadataItem` | `withHostName(java.lang.String hostName)` Set the host name of the host that the inventory scan was done on (or is being done on).
    `InventoryMetadataItem` | `withInventoryID(java.lang.Long inventoryID)` Set the inventory ID.
    `InventoryMetadataItem` | `withStartDate(java.lang.String startDate)` Set the date that the inventory scan was started.
    `InventoryMetadataItem` | `withState(InventoryMetadataItem.State state)` Set the state of the inventory scan.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InventoryMetadataItem

          public InventoryMetadataItem()

      Create an empty inventory metadata item.

  - ### Method Detail

    - #### getHostID

          public int getHostID()

      Get the host that the inventory scan was done on (or is being done on).
      Returns:
        the host that the inventory scan was done on (or is being done on).

    - #### setHostID

          public void setHostID(int hostID)

      Set the host that the inventory scan was done on (or is being done on).
      Parameters:
        `hostID` - the host that the inventory scan was done on (or is being done on).

    - #### withHostID

          public InventoryMetadataItem withHostID(int hostID)

      Set the host that the inventory scan was done on (or is being done on).
      Parameters:
        `hostID` - the host that the inventory scan was done on (or is being done on).
      Returns:
        the updated InventoryMetadataItem object.

    - #### getHostName

          public java.lang.String getHostName()

      Get the host name of the host that the inventory scan was done on (or is being done on).
      Returns:
        the host of the host that the inventory scan was done on (or is being done on).

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Set the host name of the host that the inventory scan was done on (or is being done on).
      Parameters:
        `hostName` - the host of the host that the inventory scan was done on (or is being done on).

    - #### withHostName

          public InventoryMetadataItem withHostName(java.lang.String hostName)

      Set the host name of the host that the inventory scan was done on (or is being done on).
      Parameters:
        `hostName` - the host of the host that the inventory scan was done on (or is being done on).
      Returns:
        the updated InventoryMetadataItem object.

    - #### getInventoryID

          public java.lang.Long getInventoryID()

      Get the inventory ID.
      Returns:
        the inventory ID.

    - #### setInventoryID

          public void setInventoryID(java.lang.Long inventoryID)

      Set the inventory ID.
      Parameters:
        `inventoryID` - the inventory ID.

    - #### withInventoryID

          public InventoryMetadataItem withInventoryID(java.lang.Long inventoryID)

      Set the inventory ID.
      Parameters:
        `inventoryID` - the inventory ID.
      Returns:
        the updated InventoryMetadataItem object.

    - #### getState

          public InventoryMetadataItem.State getState()

      Get the state of the inventory scan.
      Returns:
        the state of the inventory scan.

    - #### setState

          public void setState(InventoryMetadataItem.State state)

      Set the state of the inventory scan.
      Parameters:
        `state` - the state of the inventory scan.

    - #### withState

          public InventoryMetadataItem withState(InventoryMetadataItem.State state)

      Set the state of the inventory scan.
      Parameters:
        `state` - the state of the inventory scan.
      Returns:
        the updated InventoryMetadataItem object.

    - #### getStartDate

          public java.lang.String getStartDate()

      Get the date that the inventory scan was started.
      Returns:
        the date that the inventory scan was started.

    - #### setStartDate

          public void setStartDate(java.lang.String startDate)

      Set the date that the inventory scan was started.
      Parameters:
        `startDate` - the date that the inventory scan was started.

    - #### withStartDate

          public InventoryMetadataItem withStartDate(java.lang.String startDate)

      Set the date that the inventory scan was started.
      Parameters:
        `startDate` - the date that the inventory scan was started.
      Returns:
        the updated InventoryMetadataItem object.

    - #### getCompletedDate

          public java.lang.String getCompletedDate()

      Get the date that the inventory scan was completed.
      Returns:
        the date that the inventory scan was completed.

    - #### setCompletedDate

          public void setCompletedDate(java.lang.String completedDate)

      Set the date that the inventory scan was completed.
      Parameters:
        `completedDate` - the date that the inventory scan was completed.

    - #### withCompletedDate

          public InventoryMetadataItem withCompletedDate(java.lang.String completedDate)

      Set the date that the inventory scan was completed.
      Parameters:
        `completedDate` - the date that the inventory scan was completed.
      Returns:
        the updated InventoryMetadataItem object.

    - #### getAdminName

          public java.lang.String getAdminName()

      Get the name of the administrator that initiated the inventory scan.
      Returns:
        the name of the administrator that initiated the inventory scan.

    - #### setAdminName

          public void setAdminName(java.lang.String adminName)

      Set the name of the administrator that initiated the inventory scan.
      Parameters:
        `adminName` - the name of the administrator that initiated the inventory scan.

    - #### withAdminName

          public InventoryMetadataItem withAdminName(java.lang.String adminName)

      Set the name of the administrator that initiated the inventory scan.
      Parameters:
        `adminName` - the name of the administrator that initiated the inventory scan.
      Returns:
        the updated InventoryMetadataItem object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.